## org.eclipse.jet.taglib.workspace
Interface IWorkspaceActionExtension

    public interface IWorkspaceActionExtension

Extension to `IWorkspaceAction` that permits actions to avoid unnecessary file IO if the generated contents have not changed and the contents is generated by a `BufferedJET2Writer`.

Since:
  0.9

Method Summary
`BufferedJET2Writer` `getContentWriter()` Return the buffered JET writer defining the contents to be written.

Method Detail

### getContentWriter

    BufferedJET2Writer getContentWriter()

  Return the buffered JET writer defining the contents to be written.

  Returns:
    a buffered JET writer instance

Copyright 2006 IBM Corporation and others. All Rights Reserved.